Skip to main content

Directory

Retrieve a listing of all the banks and their identifiers. The result is grouped by country. It is encouraged to cache this list, but you should refresh the list at least once a day. It may never be older than 7 days. You should not manipulate this list yourself.

Request​

Request
POST https://api.cm.com/idin/v1.0/directory
Request body
{
"merchant_token": "3c01abeb-b031-4fea-9f2d-c55c283cd78e"
}

Parameters​

ParameterDescription
merchant_tokenA GUID string that is unique and private to you as a merchant. Do not share this key, keep it safe. Example 3c01abeb-b031-4fea-9f2d-c55c283cd78e
Response body
[
{
"country": "string",
"issuers": [
{
"issuer_id": "RABONL2U",
"issuer_name": "Rabobank"
}
]
}
]

Parameters​

ParameterDescription
countryThe readable name of the country.
issuer_idAn identifier for the bank. Used as the value of the in bank selector dropdowns. The end user selects a value and iDIN will direct the end user to that bank, so that the user can identify himself. Has the pattern /[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}/
issuer_nameThe name of the issuing bank intended for display purposes. Used as the content of the HTML dropdown options.

Response codes​

HTTP statusDescription
200List of banks.
400Invalid request. See message for details.
403Authorization required.
500Server error. See message for details.
503Service unavailable. See message for details.